Add check for .zshrc

Thu, 31 Mar 2016 15:25:40 -0400

author
Meredith Howard <mhoward@roomag.org>
date
Thu, 31 Mar 2016 15:25:40 -0400
changeset 285
fefaa23c064c
parent 284
faca1345ffc9
child 286
8895a4042b14

Add check for .zshrc

bin/homedir-setup file | annotate | diff | comparison | revisions
--- a/bin/homedir-setup
+++ b/bin/homedir-setup
@@ -1,8 +1,13 @@
 #!/bin/sh
 set -eu
 
+if [ ! -f .zshrc ]; then
+  echo "Refusing to run without a .zshrc nearby" >&2
+  exit 1
+fi
+
 if ! git --version >/dev/null; then
-  echo "Please install git!"
+  echo "Please install git!" >&2
   exit 1
 fi
 

mercurial